/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;


/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.1.2.3 $
 */
public class RemoveImpl implements javax.ejb.Remove
{
   private boolean retain = false;

   public RemoveImpl()
   {

   }

   public RemoveImpl(boolean retain)
   {
      this.retain = retain;
   }

   public boolean retainIfException()
   {
      return retain;
   }

   public Class annotationType()
   {
      return javax.ejb.Remove.class;
   }
}
